Subject: Re: [PATCH v4 8/8] ci/style-check: add `RemoveBracesLLVM` to '.clang-format'

From: Junio C Hamano <[email-masked]>
Date: Mon, 15 Jul 2024 10:01:54 -0700

Karthik Nayak <[email-masked]> writes:

> A more ideal solution would be if 'clang-format' allowed us to append
> rules to the existing '.clang-format' when invoked. But such an option
> does not exist. Since modifying the in-tree '.clang-format' is only done
> on the CI job for style-check and doesn't affect any other jobs and is
> not persisted in any ways, this hack should be okay.

I think our mails crossed, but I do not know why this hack is OK.
Are there other CI jobs that muck with tracked files in the working
tree?

Thanks.